Subject: [ANCP] Base protocol: Relationship of capabilities to technology

From: Tom Taylor <[email-masked]>
Date: Wed, 28 Jul 2010 06:43:50 -0400

At the meeting I presented three alternatives for handling the relationship of 
capabilities to technology. The meeting accepted the third alternative. This 
alternative requires the following changes to existing text:

1) The existing Tech Type field in the adjacency message (see Figure 3 in 
section 4.3.1) will be relabelled to "Reserved". That may affect existing 
implementations, since they have presumably been sending 0x05 in some cases and 
should now send 0x00. On the other hand, the receiver MUST ignore the field.

2) The following text will be added at an appropriate point (probably the IANA 
section):

   "The specification of a given capability must indicate whether the capability
    is specific to a given technology or technology-independent."

My editorial policy has been to use ordinary language for instructions to 
specification writers, while using RFC 2119 language for instructions to 
implementors. That is reflected in the above text. Please comment if you think a 
different policy should be followed.

Tom Taylor